image:
  gradle:jdk11

stages:
  - test
  - build
  - publish

test:
  stage: test
  script:
    - ./gradlew test
  artifacts:
    when: always
    reports:
      junit: build/test-results/test/**/TEST-*.xml

build:
  stage: build
  script: ./gradlew build

publish:
  stage: publish
  when: manual
  only:
    - main
    - develop
  script:
    - ./gradlew publish

